# include "relastro.h"

int UpdateMeasures (Catalog *catalog, int Ncatalog) {

  off_t i, Nimage;
  Image *image;

  image = getimages (&Nimage);

  for (i = 0; i < Nimage; i++) {

    /* skip DIS images (since they have no associated detections) */
    if (!strcmp(&image[i].coords.ctype[4], "-DIS")) continue;

    /* convert measure coordinates to raw entries */
    fixImageRaw (catalog, Ncatalog, i);
  }

  return (TRUE);
}

